/* System	: 二足歩行ロボット(walk)
* File		: vb_detect.h
* function	: 電池電圧入力検知
* Version	: 1.0
* Date		: 2019/5/7
* CPU		: RL78/G12 ROM:16KB RAM:1.5KB fCLK:24MHz
* IDE		: CS+ for CC V6.01.00 [01 Dec 2017]
* Programmer	: Hajime Sugiyama
* Note		: */

struct _F_VB_ALARM{
   	unsigned char high:1;		/* 電池高電圧 */
	unsigned char low:1;		/* 電池低電圧 */
	unsigned char abnormal:1;	/* 電池電圧異常 */
   	unsigned char bit3_7:5;		/* padding(詰物)1バイトの空き領域3〜8ビット目を埋める */
};
extern struct _F_VB_ALARM f_vb_alarm;	/* 電池電圧異常警報 */

extern void init_vb_detect(void);	/* 電池電圧入力検知初期化処理ユニット */
extern void enable_vbad(void);		/* A/D電圧コンパレータ動作許可処理ユニット */
extern void vb_detect(void);		/* 電池電圧入力検知処理ユニット */